<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PartnerPreference extends Model
{
    use HasFactory;

    protected $table = 'partner_preferences';
    protected $primaryKey = 'id';

    protected $fillable = [
        'U_Id',
        'preferred_age_range',
        'preferred_height_range',
        'preferred_religion',
        'preferred_caste',
        'preferred_education',
        'income_min',
        'income_max',
        'preferred_location'
    ];

    public function profile()
    {
        return $this->belongsTo(ProfileMaster::class, 'U_Id', 'U_Id');
    }
}
