<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('user_masters', function (Blueprint $table) {
            $table->unsignedBigInteger('Role_Id')->nullable();
            $table->foreign('Role_Id')->references('Role_Id')->on('role_masters')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('user_masters', function (Blueprint $table) {
            //
        });
    }
};
