<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class MatchModel extends Model
{

    protected $table = "matches";
    use HasFactory;

    protected $fillable = ['U_Id', 'matched_U_Id', 'status'];

    public function user()
    {
        return $this->belongsTo(ProfileMaster::class, 'U_Id', 'U_Id');
    }

    public function matchedUser()
    {
        return $this->belongsTo(ProfileMaster::class, 'matched_U_Id', 'U_Id');
    }
}
